create database Trabalho;

open database trabalho;

create table Dept
      (DepNume          integer(4)   not null,
       DepNome          char(20)     not null,
       DepLoca          char(20)     not null,
       DepOrca          integer(12,2),
       primary key (DepNume)
    );

create unique index DepNum on Dept (DepNume asc);


create table Emp
      (EmpNume          integer(5) not null,
       EmpNome          char(30)   not null,
       EmpGere          integer(5) ,
       EmpServ          char(20)   ,
       DepNume          integer(4) not null,
       EmpAdmi          date       not null,
       EmpSala          integer(10,2),
       EmpComi         integer(10,2),
       primary key (EmpNume),
       foreign key has (DepNume)
               references Dept
               on delete restrict
               on update cascade
    );

create unique index EmpNum on Emp (EmpNume asc);
create index EmpDep on Emp (DepNume asc);

